<?php
if (!defined ("TYPO3_MODE")) 	die ("Access denied.");

$TCA["tx_pksaveformmail_data"] = Array (
	"ctrl" => $TCA["tx_pksaveformmail_data"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "hidden,subject,recipient,sentbody,fields_order"
	),
	"feInterface" => $TCA["tx_pksaveformmail_data"]["feInterface"],
	"columns" => Array (
		"hidden" => Array (		
			"exclude" => 1,	
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
		"subject" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:pk_save_form_mail/locallang_db.php:tx_pksaveformmail_data.subject",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",
			)
		),
		"recipient" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:pk_save_form_mail/locallang_db.php:tx_pksaveformmail_data.recipient",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",
			)
		),
		"sentbody" => $TCA["tt_content"]["columns"]["bodytext"]
	),
	"types" => Array (
		"0" => Array("showitem" => "hidden;;1;;1-1-1, subject, recipient, sentbody;;9;richtext[paste|bold|italic|underline|formatblock|class|left|center|right|orderedlist|unorderedlist|outdent|indent|link|image]:rte_transform[flag=rte_enabled|mode=ts_transform];3-3-3, rte_enabled, fields_order")

	),
	"palettes" => Array (
		"1" => Array("showitem" => "")
	)
);



$TCA["tx_pksaveformmail_fields"] = Array (
	"ctrl" => $TCA["tx_pksaveformmail_fields"]["ctrl"],
	"interface" => Array (
		"showRecordFieldList" => "hidden,email_uid,field_type,field_name,field_value"
	),
	"feInterface" => $TCA["tx_pksaveformmail_fields"]["feInterface"],
	"columns" => Array (
		"hidden" => Array (		
			"exclude" => 1,	
			"label" => "LLL:EXT:lang/locallang_general.php:LGL.hidden",
			"config" => Array (
				"type" => "check",
				"default" => "0"
			)
		),
		"email_uid" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:pk_save_form_mail/locallang_db.php:tx_pksaveformmail_fields.email_uid",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",	
				"eval" => "trim",
			)
		),
		"field_type" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:pk_save_form_mail/locallang_db.php:tx_pksaveformmail_fields.field_type",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",
			)
		),
		"field_name" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:pk_save_form_mail/locallang_db.php:tx_pksaveformmail_fields.field_name",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",
			)
		),
		"field_value" => Array (		
			"exclude" => 0,		
			"label" => "LLL:EXT:pk_save_form_mail/locallang_db.php:tx_pksaveformmail_fields.field_value",		
			"config" => Array (
				"type" => "input",	
				"size" => "30",
			)
		),
	),
	"types" => Array (
		"0" => Array("showitem" => "hidden;;1;;1-1-1, email_uid, field_type, field_name, field_value")
	),
	"palettes" => Array (
		"1" => Array("showitem" => "")
	)
);
unset($TCA["tx_pksaveformmail_fields"]);
?>