#
# Table structure for table 'tx_pksaveformmail_data'
#
CREATE TABLE tx_pksaveformmail_data (
	uid int(11) unsigned DEFAULT '0' NOT NULL auto_increment,
	pid int(11) unsigned DEFAULT '0' NOT NULL,
	tstamp int(11) unsigned DEFAULT '0' NOT NULL,
	crdate int(11) unsigned DEFAULT '0' NOT NULL,
	cruser_id int(11) unsigned DEFAULT '0' NOT NULL,
	deleted tinyint(4) unsigned DEFAULT '0' NOT NULL,
	hidden tinyint(4) unsigned DEFAULT '0' NOT NULL,
	subject tinytext NOT NULL,
	recipient tinytext NOT NULL,
	sentbody text NOT NULL,
	fields_order tinytext NOT NULL,
    sentBodySerialized blob NOT NULL,
    TCABase blob NOT NULL,
    sentbody_base64encoded tinyint(4) unsigned DEFAULT '0' NOT NULL,
	PRIMARY KEY (uid),
	KEY parent (pid)
);

#
# Table structure for table 'tx_pksaveformmail_fields'
#
CREATE TABLE tx_pksaveformmail_fields (
	uid int(11) unsigned DEFAULT '0' NOT NULL auto_increment,
	pid int(11) unsigned DEFAULT '0' NOT NULL,
	tstamp int(11) unsigned DEFAULT '0' NOT NULL,
	crdate int(11) unsigned DEFAULT '0' NOT NULL,
	cruser_id int(11) unsigned DEFAULT '0' NOT NULL,
	deleted tinyint(4) unsigned DEFAULT '0' NOT NULL,
	hidden tinyint(4) unsigned DEFAULT '0' NOT NULL,
	email_uid varchar(255) DEFAULT '' NOT NULL,
	field_type tinytext NOT NULL,
	field_name tinytext NOT NULL,
	field_value tinytext NOT NULL,
	
	PRIMARY KEY (uid),
	KEY parent (pid)
);

CREATE TABLE tt_content (
	tx_pksaveformmail_savetopid blob NOT NULL
);
